-- CreateFields
-- Author: Monax ompany
-- v.1.0.0.0
--
-- update FS17: 27.10.2016
--
-- Group Monax Company in VK https://vk.com/monax.company.group

CreateFields = {};
function CreateFields:Cload(xmlFile)
	self.cultivatorForceLimitToField = false;
	self.cultivatorLimitToField = true;
end;

function CreateFields:Cupdate(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.CreateFields) then
			self.cultivatorLimitToField = not self.cultivatorLimitToField;
		end;
	else
		self.cultivatorLimitToField = true;
	end;
end;

function CreateFields:Cdraw()
	if self.cultivatorLimitToField then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CreateFields_on")),InputBinding.CreateFields);
	else
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CreateFields_off")),InputBinding.CreateFields);
	end;
end;

Cultivator.draw   = Utils.appendedFunction(Cultivator.draw, CreateFields.Cdraw);
Cultivator.load   = Utils.appendedFunction(Cultivator.load, CreateFields.Cload);
Cultivator.update = Utils.appendedFunction(Cultivator.update, CreateFields.Cupdate);
